package com.gh.common.provider

import android.content.Context
import com.alibaba.android.arouter.facade.annotation.Route
import com.gh.common.repository.ReservationRepository
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IReservationRepositoryProvider

@Route(path = RouteConsts.provider.reservationRepository, name = "ReservationRepository暴露服务")
class ReservationRepositoryProviderImpl : IReservationRepositoryProvider {

    override fun refreshReservations() {
        ReservationRepository.refreshReservations()
    }

    override fun clearReservations() {
        ReservationRepository.clearReservations()
    }

    override fun init(context: Context?) {
        // Do nothing
    }
}